0
votes
1answer
14 views

Why is my aptitude inconsistent about packages that must be removed to install another package?

This is on debian (3.11-0.bpo.2-amd64 #1 SMP Debian 3.11.8-1~bpo70+1 (2013-11-21) x86_64 GNU/Linux). I was just attempting to "aptitude install ntp". Aptitude told me it would install ntp and ...
0
votes
1answer
37 views

How to get the Package-List of a debian/ubuntu package?

It's possible to view the Package-List of a debian/ubuntu package, using the package management tools like apt, aptitude or dpkg? I need to list the packages provided by a package, the list is ...
0
votes
1answer
242 views

installing git from debian wheezy backports: anyway i see old package version

I need to install git 1.8.* version. I added backports to my sources.list; Removed current installed git via apt-get remove git; Executed apt-get update to update my packages list aptitude show git ...
1
vote
1answer
91 views

On Debian, how to audit installed packages against packages in a particular repository?

I manage a number of Debian servers and usually track the Debian stable repository but occasionally install from the Debian testing repository or third party sources. For audit purposes, on each ...
2
votes
0answers
36 views

Disallow virtual package in Debian's /etc/apt/preferences

I know I can disallow a particular package in Debian by appending /etc/apt/preferences with: Package: *x11* Pin: release Pin-Priority: -1 But how can I do that for a virtual package like httpd? I'd ...
0
votes
1answer
132 views

Removing sources from sources.list doesn't work

I had recently upgraded to php 5.4 but it was not working for me so I thought I'd remove php 5.4 and re-install php 5.3. I uninstalled php5.4, removed the dotdeb sources from sources.list file, ran ...
2
votes
1answer
151 views

Abnormally high number of safe-upgrade packages on debian squeeze

One of our webservers which is running Debian Etch Squeeze (6.0.7) and which we regularly maintain with safe-upgrades (normally it's only a few safe-upgrade packages per week) now shows an abnormally ...
1
vote
1answer
600 views

Debian removed /var/lib/dpkg/info/, is there a way to save the system?

Removed accidentally /var/lib/dpkg/info/, now I am having problems with installing/removing packages, it prompts errors, cause can not find the info about installed packages. Is there any way to ...
1
vote
1answer
71 views

How to install packages on debian lenny 5.0

I'm working with Debian Lenny 5.0 and I'm trying to replicate an environment. The problem is that when I try to update aptitude.. it looks like the servers aren't online anymore. Is there any way for ...
4
votes
2answers
467 views

How to version lock packages in Ubuntu? [duplicate]

On CentOS exists the yum versionlock option, where you can lock a package to a specific version, so it is never upgraded past that. I would like that puppet-server-2.7.19-1 puppet-2.7.19-1 stays ...
0
votes
2answers
65 views

How can I make aptitude show me the files that will be installed for a given package

On ubuntu I would like to know which files that will be installed when running sudo aptitude install ruby-rvm. So first I do sudo aptitude download ruby-rvm. Now I can do aptitude show ruby-rvm, but ...
1
vote
2answers
362 views

Debian asks to autoremove a lot of packages

My Debian wants me to invoke apt-get autoremove There are a lot of packages was installed automatically: apache2.2-bin baobab binfmt-support bluez cheese cheese-common cli-common dasher ...
1
vote
1answer
2k views

Cannot restart apache2 on Debian server - “Cannot load /usr/local/apache2/modules/libphp5.so into server”

Okay... I'm something of a beginner when it comes to servers, and I'm having some issues with restarting apache on my Debian web server. I just ran the following: aptitude install apache2 openssl ...
3
votes
1answer
1k views

ufw blocking apt and dns

I installed ufw on my Debian system like the following: # aptitude install ufw # ufw limit 22 # ufw allow 80 # ufw allow 443 # ufw enable # ufw status verbose Status: active Logging: on (low) ...
0
votes
1answer
74 views

Reconfigure a Debian or Ubuntu package

I need to reconfigure my debian or ubuntu postfix package. How can I do this? NOTE: I am answering my own question
1
vote
1answer
550 views

Unknown error executing gpgv

I have a single deb entry: # cat /etc/apt/sources.list deb ftp://debian.uchicago.edu/debian testing main contrib non-free I get this glitch when I update: #aptitude update ... W: GPG error: ...
1
vote
1answer
90 views

Difference between package updates and release upgrades on Debian

I've been trying to decide on a new OS for my production machine, and I was wondering what the difference is between straight up upgrading packages and upgrading to a new release. If I install Debian ...
0
votes
2answers
271 views

Broken Dependencies on Debian

Currently running Debian Lenny (5.0.9). I added the following test repos to install a specific package; deb http://ftp.debian.org/debian/ testing main contrib deb-src http://ftp.debian.org/debian/ ...
3
votes
4answers
878 views

aptitude: list all previous recommended packages

sometimes when installing a package, aptitude recommends several other packages. Is there a way to show all previous recommended packages of all installed packages? Thanks in advance. Casper Edit: ...
0
votes
2answers
173 views

Purge every package with a given string in its name

What I want do is to purge (via aptitude purge) every package installed with a given string in its name. E.g. apache2. I've got several packages with the string apache2 in their name installed on a ...
3
votes
3answers
1k views

Getting an error while installing supervisord on ubuntu 11.04. Any way to fix this?

# aptitude install supervisor The following NEW packages will be installed: python-medusa{a} python-meld3{a} supervisor 0 packages upgraded, 3 newly installed, 0 to remove and 0 not upgraded. Need ...
1
vote
2answers
478 views

Debian etch apt-get issues

I'm new to this area of Linux. I have a linux box which says kernel version is 2.6.18-4-amd64. It's been working as it for a long time. I needed to install subversion on the box, hence I tried ...
1
vote
1answer
72 views

How to install apache2 while not removing apache on debian etch?

I'm looking to do an upgrade from apache1.3 to apache2.2. My plan was to install apache2 with aptitude, but that tells me apache and related packages will be removed, which obviously I don't want as ...
2
votes
1answer
167 views

Debian aptitude: determine which repository a package is coming from? [closed]

In Aptitude, how can I tell where a package is coming from? I've set up my apt sources.list and preferences files for pinning, but I just want to make sure I'm not unknowingly upgrading to packages ...
6
votes
2answers
332 views

What is the most easiest way to create a virtual package in debian?

1.) What is the most easiest way to create a "virtual package" in debian? My problem: I have compiled/installed mysql from source and now need to tell other packages that mysql is already installed ...
1
vote
1answer
56 views

Debian - Upgrade cpp-4.3 to cpp-4.4

I have Debian Squeeze and I have cpp-4.3 which sits on it: I want to know if I can remove cpp-4.3 and others and install something like cpp-4.4 or higher. And why does aptitude does not upgrade ...
4
votes
2answers
131 views

how do I find where apt-get installs files belonging to a package

I installed a package with apt-get, and now I need to locate where these files have been placed. I tried: sudo apt-cache show <package> and, sudo find / -name <package> but it did ...
2
votes
3answers
755 views

Upgrade from Debian Lenny to Squeeze with apt-get

I just upgraded my system from Lenny to Squeeze following the steps posted here. I followed all the steps using apt-get (in the upgrade from Etch to Lenny i used aptitude as suggested) and the upgrade ...
3
votes
4answers
837 views

Debian = aptitude how to deselect/disable automatic packages when installing software?

i want to install subversion. But I have already (manually) installed mysql. And it seems that aptitude will again try to intall mysql mysql-common{a}. How can I deselect the mysql installation when ...
6
votes
1answer
1k views

How do I generate a response file to be used with apt-get or aptitude?

I need to install exim4 through puppet. Because this installation requires interactive configuration, I need a response file, but I don't know how to generate one. So, how do I generate a response ...
1
vote
2answers
836 views

How to include Debian repository from different architecture

I am running AMD64 Debian. I need to install software from external vendor which supports i386 architecture only. While I can add their repository to sources.list, those i386 packages do not appear ...
2
votes
1answer
139 views

Getting date of last aptitude upgrade

I updated the packages on a debian server a while back using aptitude but I cant remember the exact date when that happened. Is there a way to determine this?
0
votes
1answer
953 views

“aptitude -f install” fails

using debian lenny and trying to do a "aptitude -f install" I get this error message: Can't exec "locale": No such file or directory at /usr/share/perl5/Debconf/Encod ing.pm line 16. Use ...
3
votes
1answer
1k views

How to Get a List of All Root / Main Installed Packages on Debian

Is there a way to get all "main" packages that were installed via aptitude in Debian? By "main" I mean the package names that were given to aptitude via the install command. The equivalent of a Gentoo ...
3
votes
2answers
360 views

Generating a record of the full(-ish) package management state

I'm about to make some system changes and I'd like to have a record of my current happy system state. Is there a convenient way to create a record of this? I'd like to keep track of info like ...
2
votes
5answers
3k views

apt-get, aptitude package version

How can I find out package versions available from repositories?
0
votes
2answers
729 views

E: Internal Error, Could not perform immediate configuration (2) on libattr1 ? in Ubuntu

I am working with Ubuntu latest version. While installing via apt-get install i tried to abort that by pressing Ctrl+Z. It terminate successfully ;). But next time when i tried to use apt-get, i got ...
0
votes
2answers
789 views

What does apt's “failed in buffer_write(fd)” error message mean?

I have a server and am trying to do an apt-get upgrade, and get the following error message. What does it mean? E: ...
3
votes
2answers
3k views

How can I list all installed packages from lenny-backports?

In Debian or one of its derivatives, how can I list all packages which I have installed from lenny-backports? The closest I've come up with is: aptitude search ~i~Alenny-backports However, that ...
1
vote
0answers
397 views

Postfix, dkim-filter, and Debian 5

I installed the dkim-filter package via aptitude, configured everything to get it working with Postfix. I then sent an e-mail from an external server and dkim-filter gave an error because I didn't add ...
1
vote
3answers
504 views

How can I list which packages are from experimental?

I have a system which is a mishmash of testing and unstable and some from experimental. How can I get a list of which packages I've installed from experimental?
0
votes
3answers
701 views

apt-get install and upgrade fails on debian

I've got a strange error preventing me from installing anything on my Debian box. When I run apt-get upgrade (or apt-get install) it produces this error message: # apt-get upgrade E: dpkg was ...
1
vote
2answers
137 views

Make Aptitude respect get-selections list

We are several admins working on hundreds of debian servers. Some are using aptitude, some are using apt-get. To mark packages on hold, some use "echo $package hold | dpkg --set-selections", some use ...
5
votes
5answers
1k views

Disable/Remove Apt(-get)

Is there anyway to disable/remove apt-get on a debian based server. I'd prefer to use aptitude, and don't want the other users to be installing packages with apt-get, to avoid package/database issues. ...
0
votes
2answers
2k views

Change the locale/language of apt-get/aptitude

I have a Debian system on which aptitude produces German messages although I set the default locale to en_US.utf8. Is there a way to change that? I would prefer English messages. Andre
3
votes
1answer
326 views

How should I create a local fork of a debian package?

I wish to maintain a local fork of a debian package. I need to patch a bug which will eventually be fixed in the official package, but not for some time. How do I create a .deb package, and how do I ...
5
votes
2answers
6k views

How to completely remove a package in Debian?

I tried to use this: aptitude remove denyhosts And it seemed successfully but after a reboot after I use: ps aux | grep "denyhosts" I see denyhosts is still loaded after startup. So what am I ...
1
vote
2answers
707 views

How to install a local .deb file

I'm trying to install the last version of maatkit in debian Lenny. I couldn't find a repository with the last version, so I got the .deb file. The problem is How to I install this file? man aptitude ...
1
vote
3answers
1k views

Ubuntu 8.04 (Hardy): How to automatically apt-get / aptitude upgrade packages for bugs/security?

I have a lab full of workstations running Ubuntu 8.04 (Hardy Heron). My predecessors made a hackish bit of cron script to update, upgrade, and clean daily. I like the fact that it requires zero ...
0
votes
2answers
1k views

How can I prevent aptitude from upgrading me past lenny? (Debian Linux)

I can't seem to stop aptitude from upgrading all my packages to testing or beyond. I'm running Debian lenny, and generally I want to stick with packages from lenny unless I explicitly say otherwise. ...